echo OFF
cls
echo           Rocket Ranger 3 1/2" and 5 1/4" Installation Program
echo .
echo This batch file installs Rocket Ranger to your hard disk.
echo The format for this command is      (  install target_drive:  )
echo            Examples:        INSTALL C:
echo                             INSTALL D:
echo .
echo .
echo Please make sure that the Rocket Ranger Reel #1 is in the default_drive:.
echo .
echo Note: you can install Rocket Ranger to any directory on your hard disk
echo       with the DOS copy *.* command. The install program will copy
echo       Rocket Ranger to  \RR.
echo .
echo .
echo Press Control-C or Control-Break to abort   - or -
echo .
pause
cls
if not exist ega.exe      goto bd2
if not exist cga.exe      goto bd2
if not exist tandy.exe    goto bd2
if not exist rr0          goto bd2
if not exist install.bat  goto bd2
if not exist readme.doc   goto bd2
if %1 == a: goto gd1
if %1 == b: goto gd1
if %1 == c: goto gd1
if %1 == d: goto gd1
if %1 == e: goto gd1
if %1 == f: goto gd1
if %1 == g: goto gd1
if %1 == A: goto gd1
if %1 == B: goto gd1
if %1 == C: goto gd1
if %1 == D: goto gd1
if %1 == E: goto gd1
if %1 == F: goto gd1
goto bd1
:gd1
echo .
echo .
echo .
echo .
echo Rocket Ranger will be installed to   %1\RR.
echo .
echo .
echo .
echo .
echo Press Control-C or Control-Break to abort   - or -
echo .
pause
if exist %1ega.exe      goto bd3
if exist %1cga.exe      goto bd3
if exist %1tandy.exe    goto bd3
if exist %1rr0          goto bd3
if exist %1rr1          goto bd3
if exist %1install.bat  goto bd3
if exist %1readme.doc   goto bd3
md %1\RR
cd %1\RR
if exist %1ega.exe      goto bd3
if exist %1cga.exe      goto bd3
if exist %1tandy.exe    goto bd3
if exist %1rr0          goto bd3
if exist %1rr1          goto bd3
if exist %1install.bat  goto bd3
if exist %1readme.doc   goto bd3
cls
echo INSTALLING Rocket Ranger Reel #1 ...
copy *.* %1
echo INSTALL COMPLETED for Rocket Ranger Reel #1 ...
if exist %1rr1 goto end
pause
cls
echo Please insert Rocket Ranger Reel #2 in the default drive
echo .
echo and run INSTALL2 %1
echo .
goto end2
:bd1
echo .
echo .
echo Please disregard the above errors.
echo .
echo .
echo .
echo You must specify a Valid target_drive: when running INSTALL.BAT.
echo        Valid target_drives: are:     a:  b:  c:  d:  e:  f:
echo .
echo INSTALL ABORTED.      (Reason: invalid or no target_drive: specified) ...
goto badend
:bd2
echo .
echo .
echo .
echo .
echo The default drive:\path must contain Rocket Ranger Reel #1.
echo Please run install.bat from the default drive:\path.
echo .
echo INSTALL ABORTED.     (Reason: Rocket Ranger Reel #1 not found
echo                               on the default drive\path) ...
goto badend
:bd3
cls
echo .
echo .
echo .
echo .
echo Rocket Ranger files have been found on the target_drive:. Please make
echo sure that the target_drive: is specified is correctly. The target_drive:
echo and it's default path must not contain any Rocket Ranger files.
echo .
echo INSTALL ABORTED.   (Reason: Rocket Ranger files found on the target_drive:) ...
goto badend
:end
echo .
echo .
echo .
echo Install Completed.    Thank You.    Have a nice day!
:badend
:end2
echo ON
